# Main (YAGSL-Example API)
declaration: package: frc.robot, class: Main

Package frc.robot

# Class Main

java.lang.Object
frc.robot.Main

public final class Main extends Object
Do NOT add any static variables to this class, or any initialization at all. Unless you know what you are doing, do not modify this file except to change the parameter class to the startRobot call.

## Method Summary

Modifier and Type
Method
Description
`static void`
`main(String... args)`
Main initialization function.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### main

public static void main(String... args)
Main initialization function. Do not perform any initialization here.

If you change your main robot class, change the parameter type.